Bug 117857 - Build fails due to arch_*_exec_range not existing on ppc yet
Build fails due to arch_*_exec_range not existing on ppc yet
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-09 07:30 EST by Nathan Robertson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-12 06:13:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds arch_*_exec_range dummy functions for ppc32 (563 bytes, patch)
2004-03-09 07:31 EST, Nathan Robertson
no flags Details | Diff

  None (edit)
Description Nathan Robertson 2004-03-09 07:30:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.2.1)
Gecko/20030228

Description of problem:
Other platforms (including ppc64) have dummy functions for these so it
compiles. Let ppc join that list. Patch attached. Should be
incorporated into linux-2.6.0-exec-shield.patch.

Version-Release number of selected component (if applicable):
kernel-2.6.3-2.1.242

How reproducible:
Always

Steps to Reproduce:
rpmbuild -ba <kernel.srpm> (with modifications to the spec file, plus
a ppc .config file in the SOURCES directory)

Additional info:
Comment 1 Nathan Robertson 2004-03-09 07:31:31 EST
Created attachment 98396 [details]
adds arch_*_exec_range dummy functions for ppc32
Comment 2 Arjan van de Ven 2004-03-12 06:13:24 EST
fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.